> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/benchmarking/ad-density

> Mobile ad density and heavy ad interventions for one publisher, compared with similar publishers (its cohort) and the network



## OpenAPI

````yaml /openapi.json get /v1/report/insight/benchmarking/ad-density
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: AI
  - name: AI/Activity
  - name: Billing
  - name: Billing/Invoice
  - name: Audit Log
  - name: '[IN PROGRESS] Integration'
  - name: '[IN PROGRESS] Integration/Mapping'
  - name: '[IN PROGRESS] User'
  - name: '[IN PROGRESS] User/Account'
  - name: public
paths:
  /v1/report/insight/benchmarking/ad-density:
    get:
      tags:
        - Reporting/Insights Hub/Benchmarking
        - public
      summary: /report/insight/benchmarking/ad-density
      description: >-
        Mobile ad density and heavy ad interventions for one publisher, compared
        with similar publishers (its cohort) and the network
      parameters:
        - name: uid
          in: query
          description: A single publisher ID
          required: true
          example: ''
          schema:
            deprecated: false
            type: integer
        - name: range
          in: query
          description: >-
            Date range to report on. Preset ranges end yesterday.
            `month_to_date` is the current month so far and `week_to_date` is
            the current week so far. `custom` requires `start` and `end`
            (YYYY-MM-DD). Other values return a 400 error
          required: false
          example: ''
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
            default: thirty_days
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          example: ''
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          example: ''
          schema:
            type: string
            format: date
        - name: exclude_pubs
          in: query
          description: >-
            When `yes`, leaves out publishers in the same organisation as this
            publisher, including its child organisations, from the cohort and
            network
          required: false
          example: ''
          schema:
            type: string
            enum:
              - 'yes'
              - 'no'
            default: 'no'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          heavy_ad_intervention:
                            type: object
                            properties:
                              publisher:
                                type: number
                                nullable: true
                              cohort:
                                type: number
                                nullable: true
                              network:
                                type: number
                                nullable: true
                            required:
                              - publisher
                              - cohort
                              - network
                            description: >-
                              Heavy ad interventions per page impression for the
                              publisher, its cohort and the network. 0 when
                              there were none, null when there were no page
                              impressions
                          mobile_ad_density:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: number
                              network:
                                type: number
                            required:
                              - publisher
                              - cohort
                              - network
                        required:
                          - heavy_ad_intervention
                          - mobile_ad_density
                    required:
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  data:
                    heavy_ad_intervention:
                      publisher: 0.004086538461538462
                      cohort: 0.003981294402783926
                      network: 0.0013828883050641242
                    mobile_ad_density:
                      publisher: 0.010700000000000001
                      cohort: 0.02605
                      network: 0.08756590909090908
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.